%define name gmysql
%define version 0.3.3
%define release 2mdk

Name:		%{name}
Summary:	GTK+ client for MySQL
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Databases
URL:		http://www.loth.demon.co.uk/gmysql/
Source:		%{name}-%{version}.tar.bz2
Requires:	gtk+ >= 1.2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr

Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
gmysql is a graphical user interface to the mysqld SQL database server.
gmysql uses GTK+ for its widgets.


%prep

%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make


%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
make install

mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
cp -f AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README
/usr/bin/*

%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- fix group

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Thu Jan 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- bzip sources
- specfile updates: change from /usr/local to /usr

* Wed Nov 17 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribution

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote spec file
- 0.3.3
- Don't segfault on database creation if no host is selected.
- Use GtkItemFactory instead of deprecated GtkMenuFactory; we require
  GTK 1.2 now, maybe I'll put some #ifdef's in for 1.0 if enough people
  whine.
- fix typeo in configure; add --with-mysql-includes --with-mysql-libraries
  for people with wierd mysql installations.
- minor license stuff.
